Subject: Re: Yahoo, Thunderbird and the quest for email freedom

From: Eric Oyen via PLUG-discuss <[email-masked]>
Date: Sun, 30 Mar 2025 07:45:57 -0700

It’s worse than that. I use cox business here and they recently contracted with yahoo to handle all their email hosting for us business customers. Given the penchant for Verizon/yahoo/others to overcomplicate things, make interfaces that aren’t even fully (or moderately) accessible, I won’t use them unless as a last resort. Btw, gmail has been heading down this same path for a few years now but still aren’t nearly as bad.

Btw, what you are seeing is when a company becomes so large that they can ignore the customer base, thinking that said customers won’t have many usable alternatives. They fail to recognize one undeniable fact: the bigger you are, the harder you crumble under pressure.

Now, as for cox business, I have already informed corporate that because of their use of yahoo for handling all email services, I have moved any emails I have elsewhere. It’s just not worth the hassle. Thanks for the suggestion of FastMail as an alternative. Will be looking into it.

-Eric
From the Central Offices of the Technomage Guild, Email services Dept.

> On Mar 25, 2025, at 8:34 AM, greg zegan via PLUG-discuss <[email-masked]> wrote:
> 
> Hello,
>   As many you now know Yahoo, who was acquired by Verizon back in 2017 and has merged with several companies to form a mega-corp has put out a new web interface which is terrible and caused me to seriously seek out an alternative to Yahoo.  Verizon, famous for terrible customer service, has now become the business model for Yahoo users. 
> https://en.wikipedia.org/wiki/Yahoo!_Inc._(2017%E2%80%93present) <https://en.wikipedia.org/wiki/Yahoo!_Inc._(2017%E2%80%93present)>
> 
> Does anyone use an alternative email client and do they like it?  I have used Thunderbird years ago but it allows so much email you have to create filters to keep Spam out and receive normal email.  And yes I will find my username and password for Proton Mail...
> 
> How do we continue to use Yahoo email without getting slammed by this giant company?
> 
> thanks,
> 
> Greg
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss